# Composite products feature

#### What's new

New feature called Composite products allows creating products that are created from a combination of other products. For example, the "Combo Pizza" composite product includes the "Pizza" and "Drink" products.

Such products help with managing product stock and creating special offers.

#### Changes in API

New fields are added to all `/products` and `/orders` , `/orders/{orderId}`, `/orders/last` endpoints:

* `compositeComponents` (array of objects)
* `compositeParents` (array of numbers)

These fields allow you to create/update/read data about composite products. For example, here is the data about products in the order. The only product here is a composite product made of two different products:

```json
"items": [
  {
    "productId": 123456,
    "sku": "COMPOSITE-001",
    "quantity": 1,
    "price": 30.0,
    "name": "Gift Pack A",
    "compositeComponents": [
      {
        "productId": 1111,
        "combinationId": null,
        "quantity": 2
      },
      {
        "productId": 2222,
        "combinationId": 5555,
        "quantity": 1
      }
    ]
  }
]
```

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/cfkFmqKipnNyuBohdz0h" %}
[Get product](/api-reference/rest-api/products/get-product.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/Nc6NPsnVoaCv8v4KFGMV" %}
[Get order](/api-reference/rest-api/orders/get-order.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/changelog/october-2025/october-16/composite-products-feature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
